package digital.laboratory.platform.identifybook.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.identifybook.dto.ReceiveIdentifyBookDTO;
import digital.laboratory.platform.identifybook.entity.ReceiveIdentifyBook;
import digital.laboratory.platform.identifybook.mapper.ReceiveIdentifyBookMapper;
import digital.laboratory.platform.identifybook.service.IReceiveIdentifyBookService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 领取鉴定文书信息表 服务实现类
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-30
 */
@Service
public class ReceiveIdentifyBookServiceImpl extends ServiceImpl<ReceiveIdentifyBookMapper, ReceiveIdentifyBook> implements IReceiveIdentifyBookService {

    @Override
    public IPage<ReceiveIdentifyBookDTO> pageReceiveIdentifyBook(IPage<ReceiveIdentifyBook> page, String key) {
        return baseMapper.pageReceiveIdentifyBook(page, key);
    }
}
