package digital.laboratory.platform.identifybook.vo;

import digital.laboratory.platform.identifybook.entity.ReceiveIdentifyBook;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/22 10:30
 */

@Data
@ApiModel(value = "BusinessProcessRecordVO对象", description = "封装业务流程相关属性")
public class BusinessProcessRecordVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("鉴定文书修改/补充（提交/审核/审批）关联的id")
    private String id;

    @ApiModelProperty(value = "业务ID", required = true)
    private String businessId;

    @ApiModelProperty(value = "业务流程状态", required = true)
    private String businessStatus;

    @ApiModelProperty(value = "审核审批意见")
    private String message;

    @ApiModelProperty("审核审批表-参数对象")
    private IdentifyBookApproveVO approveVO;

//    @ApiModelProperty("领取相关属性")
//    private ReceiveIdentifyBookVO ReceiveIdentifyBookVO;
//  领取相关属性
    @ApiModelProperty(value = "领取方式")
    private String receiveWay;

    @ApiModelProperty(value = "领取人ID")
    private String recipientsUserId;

    @ApiModelProperty(value = "领取人姓名")
    private String recipientsUserName;

    @ApiModelProperty(value = "领取人时间")
    private LocalDateTime recipientsTime;
}
