package digital.laboratory.platform.identifybook.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/25 20:03
 */

@Data
@ApiModel(value = "IdentifyBookApproveVO对象", description = "封装鉴定文书审批相关属性")
public class IdentifyBookApproveVO  implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "附件类型集合（1：检验记录（含原始记录，检验图表）、2：鉴定事项确认书、3：鉴定委托书或鉴定聘请书、4：检材照片、5：送检人证件复印件、6：原鉴定文书） 注：选择多个示例（1,2,...）其中”,“是英文")
    private String annexType;

    @ApiModelProperty(value = "文书类型：（1：检验报告，2：其它） 注：选择多个示例（1,2）其中”,“是英文")
    private String bookType;

    @ApiModelProperty(value = "检验报告数量（单位: 份）")
    private Integer inspectionReportNumber;

    @ApiModelProperty(value = "其它数量（单位：份）")
    private Integer otherNumber;

    @ApiModelProperty(value = "是否合格（1：检验方法、2：检验过程、3：检验图谱、4：检验结果） 注：选择多个示例（1,2,...）其中”,“是英文")
    private String isQualified;
}
