package digital.laboratory.platform.identifybook.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 领取鉴定文书相关信息
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-30
 */
@Data
@ApiModel(value="ReceiveIdentifyBookVO对象", description="领取鉴定文书相关信息")
public class ReceiveIdentifyBookVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "领取方式")
    private String receiveWay;

    @ApiModelProperty(value = "领取人ID")
    private String recipientsUserId;

    @ApiModelProperty(value = "领取人姓名")
    private String recipientsUserName;

    @ApiModelProperty(value = "领取人时间")
    private Date recipientsTime;


}
