package digital.laboratory.platform.identifybook.emums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/8/9 16:20
 */
@Getter
@AllArgsConstructor
@ApiModel("权限组枚举")
public enum PermissionGroupEnum {

    /**
     * 鉴定文书-制作/提交/退回修改（实验人员）
     */
    IdentifyBookProductionRrSubmissionProcess("IdentifyBookProductionRrSubmissionProcess", "鉴定文书-制作/提交/退回修改"),
    /**
     * 鉴定文书-审核（授权签字人）
     */
    IdentifyBookSH("IdentifyBookSH", "鉴定文书-审核"),
    /**
     * 鉴定文书-审批（主任）
     */
    IdentifyBookSP("IdentifyBookSP", "鉴定文书-审批（主任）"),
    /**
     * 鉴定文书-签发（（实验人员）
     */
    IdentifyBookQF("IdentifyBookQF", "鉴定文书-签发"),

    /**
     * 鉴定文书-修改补充申请/提交审核 （实验人员）
     */
    IdentifyBookModificationAndSupplementationSQ("IdentifyBookModificationAndSupplementationSQ", "鉴定文书-修改补充申请/提交审核"),
    /**
     * 鉴定文书-修改补充审核 （授权签字人）
     */
    IdentifyBookModificationAndSupplementationSH("IdentifyBookModificationAndSupplementationSH", "鉴定文书-修改补充审核 "),
    /**
     * 鉴定文书-修改补充审批 （主任）
     */
    IdentifyBookModificationAndSupplementationSP("IdentifyBookModificationAndSupplementationSP", "鉴定文书-修改补充审批 ")
    ;


    private final String code;
    private final String desc;
}
