package digital.laboratory.platform.identifybook.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.identifybook.dto.EntrustCaseDTO;
import digital.laboratory.platform.identifybook.dto.EntrustmentDTO;
import digital.laboratory.platform.identifybook.entity.Entrustment;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.identifybook.req.EntrustmentREQ;

import java.util.List;

/**
 * <p>
 * 委托 服务类
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
public interface IEntrustmentService extends IService<Entrustment> {

    EntrustCaseDTO getEntrustCaseDTOById(String entrustId);

    IPage<EntrustmentDTO> findEntrustPage(IPage<EntrustmentDTO> page, EntrustmentREQ req);

    EntrustmentDTO getEntrustmentDTO(String entrustId);

    long countWSLBSum(List<Integer> bookStatusList);

    void synchronizationTestSysData(List<String> synedIdList);
}
