package digital.laboratory.platform.identifybook.vo;

import digital.laboratory.platform.identifybook.entity.TaskNotification;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("任务信息表VO类")
public class TaskNotificationVO extends TaskNotification {

    @ApiModelProperty("业务类型")
    private String businessType;

    @ApiModelProperty(value="原始系统中的委托ID")
    private String synEntrustId;

    @ApiModelProperty(value = "鉴定文书业务状态（-1：待制作，0：已制作/重新制作，1：鉴定文书-提交审核，2：鉴定文书-审核通过），-2：鉴定文书-审核未通过，3：鉴定文书-审核退回修改，4：鉴定文书-审批签发成功，-4：鉴定文书-审批拒绝签发，5：鉴定文书-审批签发退回修改")
    private Integer bookStatus;

}
